=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1jammy.20251023.0857) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Oct 2025 08:57:38 +0000

ros-one-mavros-extras (1.20.0-0jammy) jammy; urgency=high

  * Add missing std_srvs dependency
  * add param to odom plugin
  * add frame_id parameter
  * Fix compile error when compiling with gcc 13
    The error is:
    src/plugins/mag_calibration_status.cpp:64:22: error: ‘bitset’ is not a member of ‘std’
  * Contributors: EnderMandS, Michal Sojka, Roland Arsenault

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2024 00:00:00 -0000

ros-one-mavros-extras (1.19.0-0jammy) jammy; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 06 Jun 2024 00:00:00 -0000

ros-one-mavros-extras (1.18.0-0jammy) jammy; urgency=high

  * [camera plugin] Fix image_index and capture_result not properly filled
  * Fix missing semi-colon
  * GPS_STATUS Plugin: Fill in available messages for ROS1 legacy
    Filled in available fields in GPS_RAW_INT & GPS2_RAW messages
    p.s. seems GPS2_RAW more complete than original GPS_RAW_INT
  * Contributors: Beniamino Pozzan, Seunghwan Jo

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2024 00:00:00 -0000

ros-one-mavros-extras (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #1865 <https://github.com/mavlink/mavros/issues/1865> from scoutdi/warnings
    Fix / suppress some build warnings
  * mavros_extras: Fix some init order warnings
  * Suppress warnings from included headers
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 09 Sep 2023 00:00:00 -0000

ros-one-mavros-extras (1.16.0-0jammy) jammy; urgency=high

  * Merge pull request #1817 <https://github.com/mavlink/mavros/issues/1817> from lucasw/pluginlib_hpp
    use hpp instead of deprecated .h pluginlib headers
  * use hpp instead of deprecated .h pluginlib headers
  * Contributors: Lucas Walter, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-one-mavros-extras (1.15.0-0jammy) jammy; urgency=high

  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Merge pull request #1807 <https://github.com/mavlink/mavros/issues/1807> from scoutdi/fix-bitwise-comparison
    mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1808 <https://github.com/mavlink/mavros/issues/1808> from scoutdi/fix-sequence-point-warning
    mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a sequence point warning
  * mavros_extras: Fix a comparison that shouldn't be bitwise
  * Merge pull request #1805 <https://github.com/mavlink/mavros/issues/1805> from scoutdi/fix-latlon-check
    mavros_extras: Fix buggy check for lat/lon ignored
  * mavros_extras: Fix buggy check for lat/lon ignored
  * Contributors: Morten Fyhn Amundsen, Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-one-mavros-extras (1.14.0-0jammy) jammy; urgency=high

  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    correct MountConfigure response success
    correct constructor initialization order
    some gimbals send negated/inverted angle measurements, correct that to obey the MAVLink frame convention using run-time parameters
  * Merge pull request #1727 <https://github.com/mavlink/mavros/issues/1727> from BV-OpenSource/pr-cellular-status
    Pr cellular status
  * uncrustify cellular_status.cpp
  * Add CellularStatus plugin and message
  * Merge pull request #1702 <https://github.com/mavlink/mavros/issues/1702> from amilcarlucas/mount_diagnostics
    Mount control plugin: add configurable diagnostics
  * mount_control.cpp: use mount_nh for params to keep similarities with other plugins
    set diag settings before add()
  * Mount control plugin: add configurable diagnostics
  * Merge pull request #1700 <https://github.com/mavlink/mavros/issues/1700> from oroelipas/fix-obstacle-distance
    Fix obstacle distance
  * Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
  * Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Rui Mendes, Sanket Sharma, Vladimir Ermakov, oroel

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-one-mavros-extras (1.13.0-0jammy) jammy; urgency=high

  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * Removed CamelCase for class members.  Publish to "report"
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention

