=== debian/control ===
Source: ros-one-mavros-extras
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-mavros, ros-one-mavros-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-eigen, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://wiki.ros.org/mavros_extras
Standards-Version: 3.9.2

Package: ros-one-mavros-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-mavros, ros-one-mavros-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-tf2-eigen, ros-one-urdf, ros-one-visualization-msgs
Description: Extra nodes and plugins for MAVROS.
