## ros-one-mavros-extras 1.20.0-1jammy.20251207.2151

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1jammy.20251207.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 07 Dec 2025 21:51:15 +0000
