## ros-one-mavros-extras 1.20.0-1jammy.20260221.0148

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1jammy.20260221.0148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 21 Feb 2026 01:48:11 +0000
