## ros-one-mavros-extras 1.20.0-1noble.20251208.0849

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1noble.20251208.0849) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 08 Dec 2025 08:49:54 +0000
