## ros-one-mavros-extras 1.20.0-1noble.20260221.2118

=== debian/changelog ===
ros-one-mavros-extras (1.20.0-1noble.20260221.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 21 Feb 2026 21:18:32 +0000
